Visual Studio 2010 & Oxite

Jul 8, 2009 at 11:06 PM
Edited Jul 8, 2009 at 11:07 PM

Has anyone gotten Oxite to compile and run under VS 2010. After changing the MVC assembly references from 1.0 to 1.1 all I have been able to achieve is this error message.

ASPNETCOMPILER : error ASPCONFIG: This version of the aspnet_compiler command is used to compile Web applications that target version 4.0 or later of the .NET Framework. The element in the Web.config file for this Web application does not contain the required 'targetFrameworkMoniker' attribute (for example, ''). To compile this Web application for earlier versions of the .NET Framework, use version 2.0 of the aspnet_compiler command, or use the current version of Visual Studio. To compile this Web application for version 4.0 or later of the .NET Framework, update the element in the Web.config file to include the 'targetFrameworkMoniker' attribute and the correct version number.

 

 

I wish to compile the app for .net 3.5, but VS seems to be complaining about that. Any nudges in the direction of a fix would be appreciated, as searches here, Bing, and Google have all been fruitless.

Thanks,

 

Ariel

Coordinator
Jul 8, 2009 at 11:09 PM

I haven't tried it myself (and don't plan to for a while), but this might help...

http://haacked.com/archive/2009/05/18/aspnetmvc-vs2010-beta1.aspx

Jul 8, 2009 at 11:23 PM
Edited Jul 8, 2009 at 11:31 PM

This seems to be intended for those who do not have MVC installed, which I do and have gone through the steps in the readme for upgrading projects. I'll give it a shot though and see what happens

Update: Removing the GUID from the problem project file didn't work in fixing the compliation error. Thanks for the pointer though.